C API Functions

## udbReferenceKind

### Description

Return the kind of the specified reference.

### Syntax

     #include "udb/udb.h"
     UdbKind  udbReferenceKind(UdbReference ref)

### Arguments

Argument | description
UdbReference ref | Specified reference.

### Return Values

Return Value | description
UdbKind | Kind of Reference

### Example Usage

     printf ("%s: %s (%s [%d,%d])\n",
                          	 udbKindShortname(udbReferenceKind(ref)),
                          	 udbEntityNameShort(udbReferenceEntity(ref)),
                          	 udbEntityNameShort(udbReferenceFile(ref)),
                          	 udbReferenceLine(ref),
                          	 udbReferenceColumn(ref) );

### See Also

udbKindLongname to get the fullname of the reference kind.

udbKindShortname to get the short name of the reference kind.

udbReferenceColumn to get the column position of the specified reference.

udbReferenceEntity to get the entity of the specified reference.

udbReferenceFile to get the file of the specified reference.

udbReferenceLine to get the line of the specified reference.

udbReferenceScope to get the entity performing the reference.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com